/// [LayoutSize] defines types of layout sized
enum LayoutSize {
  /// [LayoutSize.watch] for very small screens as wristwatch
  watch,

  /// [LayoutSize.smallMobile] for mobile with [small] screen
  smallMobile,

  /// [LayoutSize.smallMobilePortrait] for mobile with [small] screen for [portrait] orientation
  smallMobilePortrait,

  /// [LayoutSize.smallMobileLandscape] for mobile with [small] screen for [landscape] orientation
  smallMobileLandscape,

  /// [LayoutSize.middleMobile] for mobile with [small] screen
  middleMobile,

  /// [LayoutSize.middleMobilePortrait] for mobile with [middle] screen for [portrait] orientation
  middleMobilePortrait,

  /// [LayoutSize.middleMobileLandscape] for mobile with [middle] screen for [landscape] orientation
  middleMobileLandscape,

  /// [LayoutSize.tabletOrDesktop] for large screens as tablet or desktop
  tabletOrDesktop,

  /// [LayoutSize.tv] for very large screens as TV
  ///
  /// Not used for now
  tv,
}
